#ifndef AUTHENTICATOR_H
#define AUTHENTICATOR_H

#include "base.h"

#define SESSION_TYPE_AUTHENTICATOR (session_authenticator_get_type())
G_DECLARE_FINAL_TYPE(SessionAuthenticator, session_authenticator, SESSION, AUTHENTICATOR, BaseObject)

SessionAuthenticator* session_authenticator_new(const char* name);
gboolean session_authenticator_authenticate(SessionAuthenticator* self, const char* username, const char* password);
gboolean session_authenticator_is_authenticated(SessionAuthenticator* self);
gboolean session_authenticator_open_session(SessionAuthenticator* self);
void session_authenticator_close_session(SessionAuthenticator* self);
#endif